org.eclipse.wst.jsdt.chromium.debug.ui.launcher

## Class ChromiumRemoteTab.HostChecker

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ChromiumRemoteTab.HostChecker

Enclosing class:
  ChromiumRemoteTab<ELEMENTS>

    public abstract static class ChromiumRemoteTab.HostChecker
    extends java.lang.Object

Possibly checks host property in config.

### Field Summary

Fields
`static ChromiumRemoteTab.HostChecker` `LOCAL_ONLY`

### Constructor Summary

Constructors
Constructor and Description
`HostChecker()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.lang.String` `getWarning(ILaunchConfiguration config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOCAL_ONLY

    public static ChromiumRemoteTab.HostChecker LOCAL_ONLY

### Constructor Detail

#### HostChecker

    public HostChecker()

### Method Detail

#### getWarning

    public abstract java.lang.String getWarning(ILaunchConfiguration config)
                                         throws CoreException

Throws:
  `CoreException`